Create a Comment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Behavior

Creates a Comment using the parameters provided in the request body. After the comment is created, the corresponding submission's grade will be recalculated automatically.

Returns

Returns the newly created comment if creation succeeded. This call will raise an error if any parameters are invalid or any required parameters are omitted.
















Body Params
string
required

The text of the comment. This text will be shown to both graders and students.

int32
required

The index of the character on which the comment begins. The index is relative to the beginning of the character's line. Must be greater than or equal to 0. If startLine == endLine, cannot be greater than endChar.

int32
required

The index of the character on which the comment ends. The index is relative to the beginning of the character's line. Must be greater than or equal to 0. If startLine == endLine, cannot be less than endChar.

int32
required

The line of the parent File's code on which the comment should begin. Must be greater than or equal to 0, and cannot be greater than endLine.

int32
required

The line of the parent File's code on which the comment should end. Must be greater than or equal to 0, cannot be less than startLine, and cannot exceed the number of lines in the file.

int32
required

The ID of the file to which this Comment applies. Must represent a File which is a descendant of a Course in which you are a CourseAdmin

float

The delta the comment will apply to its ancestor submission's grade. A positive value indicates a deduction, while a negative value indicates an addition. Defaults to null (0). Only takes the value 0 if explicitly set to 0; null indicates no value was set.

int32

The ID of a linked RubricComment. This field should be null if the comment isn't linked to any RubricComment. Must represent a RubricComment which is a descendant of a Course in which you are a Course Admin

string

A hex string that indicates the color which a comment will render in codePost.

Response

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json